ICU 70.1 70.1

Data Fields
UFieldPosition Struct Reference

A struct representing a range of text containing a specific field. More...

`#include <umisc.h>`

## Data Fields
int32_t | field
| The field. More...
int32_t | beginIndex
| The start of the text range containing field. More...
int32_t | endIndex
| The limit of the text range containing field. More...

## Detailed Description

A struct representing a range of text containing a specific field.

Stable:
  ICU 2.0

Definition at line 34 of file umisc.h.

## Field Documentation

## ◆ beginIndex

int32_t UFieldPosition::beginIndex

The start of the text range containing field.

Stable:
  ICU 2.0

Definition at line 44 of file umisc.h.

## ◆ endIndex

int32_t UFieldPosition::endIndex

The limit of the text range containing field.

Stable:
  ICU 2.0

Definition at line 49 of file umisc.h.

## ◆ field

int32_t UFieldPosition::field

The field.

Stable:
  ICU 2.0

Definition at line 39 of file umisc.h.

The documentation for this struct was generated from the following file:

- umisc.h